package com.mortals.xhx.module.database.web;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.database.model.DatabaseRuleEntity;
import com.mortals.xhx.module.database.service.DatabaseRuleService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 数据库规则
*
* @author zxfei
* @date 2023-07-15
*/
@RestController
@RequestMapping("database/rule")
public class DatabaseRuleController extends BaseCRUDJsonBodyMappingController<DatabaseRuleService,DatabaseRuleEntity,Long> {

    @Autowired
    private ParamService paramService;

    public DatabaseRuleController(){
        super.setModuleDesc( "数据库规则");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "type", paramService.getParamBySecondOrganize("DatabaseRule","type"));
        this.addDict(model, "level", paramService.getParamBySecondOrganize("DatabaseRule","level"));
        this.addDict(model, "weights", paramService.getParamBySecondOrganize("DatabaseRule","weights"));
        this.addDict(model, "dataType", paramService.getParamBySecondOrganize("DatabaseRule","dataType"));
        this.addDict(model, "statuses", paramService.getParamBySecondOrganize("DatabaseRule","statuses"));
        super.init(model, context);
    }


}